Subject: change password

From: [email-masked]
Date: Tue, 13 Aug 2002 22:25:03 -0400

In fact, I tried all protocols, seems like they all give error messages
about SSL3.  I also tried mutt, pine, and Netscape, and they all either
give the same error in the log (can't connect, line flushed with user=???
host=UNKNOWN for imapd), or time out.

When I manually telnet localhost 993 and say 
* starttls
I get
* OK

The question is, perhaps I should generate the certificate in some
special way -- does it matter what you enter there?  I tried to 
make Common Name equal the server's machine FQDN, or localhost if
I connect so, but to no avail.

Any other things to try to make SSL work?...  With any client?

Cheers,
Alexy

On Tue, Aug 13, 2002 at 11:07:20AM +0200, Sebastian Hagedorn wrote:
> --On Monday, August 12, 2002 21:07:13 -0400 [email-masked] wrote:
> 
> > Here's what I'm getting, after building everything as described in
> > SSLBUILD, and the latest fetchmail, and all with the latest OpenSSL:
> >
> >  # fetchmail --ssl --sslproto tls1 -p imap -u alexy localhost
> > Enter password for alexy@localhost:
> > 6063:error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version
> > number:s3_pkt.c:279: fetchmail: SSL connection failed.
> 
> This reminds me of a problem I once had with Mulberry. fetchmail seems to 
> use SSLv23_client_method over TLS. It should use TLSv1_client_method. You 
> write
> 
> > Now, when I'm forcing --ssl2, the thing just waits forever. Without
> > --sslproto,  we get:
> >
> >  # fetchmail --ssl -p imap -u alexy localhost
> > Enter password for alexy@localhost:
> > 6102:error:140770FC:SSL routines:SSL23_GET_SERVER_HELLO:unknown
> > protocol:s23_clnt.c:460: fetchmail: SSL connection failed.
> 
> Sounds to me like the *right* way to call it would be:
> 
> # fetchmail --ssl --sslproto ssl3 -p imap -u alexy localhost
> 
> But that's just a guess, I'm no expert ...
> --
> Sebastian Hagedorn
> Ehrenfeldgürtel 156
> 50823 Köln
> http://www.spinfo.uni-koeln.de/~hgd/
> 
> Being just contaminates the void - Robyn Hitchcock

-- 
Cheers,
Alexy V. Khrabrov :: www.setup.org :: Age Quod Agis

-- 
------------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/imap/c-client-list.html
------------------------------------------------------------------